Bug 53074 - System hangs after inserting PCMCIA-CD-ROM on a Toshiba Protege
System hangs after inserting PCMCIA-CD-ROM on a Toshiba Protege
Product: Red Hat Linux
Classification: Retired
Component: kernel-pcmcia-cs (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-09-03 05:52 EDT by Johannes Kaiser
Modified: 2015-01-04 17:01 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-11-25 03:08:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Johannes Kaiser 2001-09-03 05:52:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
When using the Freecom OEM CD-ROM Drive with an Toshiba Protege with 
Linux. After inserting the PCMCIA-Card for the CD-ROM-drive the system 
will hang.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1) just one step: 
-- inserting pcmcia card --

Actual Results:  --- last outputs seen in /var/log/messages ---

after initializig the socket 0...and memory probe and last message
"cardmgr : executing: 'modprobe ide-cs'"
system hangs up. Can't switch to another console or login screen.

when removing that card a few minutes system will reactivate itself. A lot 
of messages trown out in /var/log/messages:

"hdc: no response (status = 0xff), resetting drive"
and "ide_cs: ide_register() at 0x100 & 0x10ed, irq 11 failed"

Expected Results:  CD-ROM should work, but doesn't

Additional info:

System Hard/Software:
- Redhat Linux 7.1 (Seawolf)

- Toshiba Protege 3480 CT, 128MB RAM, 20 GB Harddisk.
- Mobile CD-ROM PCMCIA (2793020) PREMIUM desiged for Toshiba 24x speed
  also know as an OEM FREECOM Rev. 836 V5.0

the freecom drive works on other maschines fine with linux (as IBM 
TravelMate PII). At work i use the drive on a similar maschine with 

Note You need to log in before you can comment on or make changes to this bug.